<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <title>HTML5 semantic form elements</title>
</head>

<body id="formContainer">
    <h1>HTML5 Form Elements: Explained</h1>

    <form enctype="multipart/form-data" action="https://www.google.com/search">
        <fieldset>
            <legend>Simple HTML5 Form : All elements</legend>

            <fieldset>
                <legend>SINGLE LINE TEXT: text type and its variants</legend>

                <div>
                    <label for="firstname">Firstname</label>
                    <input type="text" id="firstname" value="" />
                </div>

                <div>
                    <label for="lastname">Lastname</label>
                    <input type="text" id="lastname" value="" />
                </div>

                <div>
                    <label for="email"> Email</label>
                    <input type="email" id="email" />
                </div>

                <div>
                    <label for="telephone"> Telephone</label>
                    <input type="tel" id="telephone" />
                </div>

                <div>
                    <label for="favorite_website"> Your favorite website</label>
                    <input type="url" id="favorite_website" />
                </div>

                <div>
                    <label for="marks">Enter your marks</label>
                    <input type="number" id="marks" />
                </div>

                <div>
                    <label for="skill">Your skill level on HTML</label>
                    <input id="skill" type="range" min="0" max="10" value="0" />
                </div>

                <div>
                    <label for="color"> Enter your favorite color</label>
                    <input type="color" id="color" />
                </div>
            </fieldset>

            <fieldset>
                <legend>Type= text and its "date" specific variants</legend>

                <div>
                    <label for="birthdate"> Birthdate :</label>
                    <input id="birthdate" type="date" />
                </div>
                <div>
                    <label for="expiry"> Card Expire month :</label>
                    <input id="expiry" type="month" />
                </div>
                <div>
                    <label for="weekofthemonth"> Week of the month:</label>
                    <input id="weekofthemonth" type="week" />
                </div>
                <div>
                    <label for="exittime"> Exittime :</label>
                    <input id="exittime" type="time" />
                </div>
                <div>
                    <label for="meetingdatetime"> Meeting Datetime </label>
                    <input id="meetingdatetime" type="datetime" />
                </div>
                <div>
                    <label for="arrivaldatetime"> Arrival Datetime (Local) </label>
                    <input id="arrivaldatetime" type="datetime-local" />
                </div>
            </fieldset>

            <!-- 
          @TODO: Tool related
          VSCode: prettier / beautifier
          -->


            <fieldset>
                <legend> Search </legend>

                <div>
                    <label for="search"> Search :</label>
                    <input type="search" id="search" name="q">
                    <input type="image" id="picture" /> <!-- display search image icon -->
                </div>

                <div>
                    <label>
                        Enter your favorite cricket player
                        <input type="text" id="favCktPlayer" list="CktPlayers">
                        <datalist id="CktPlayers">
                            <option value="Sachin Tendulkar">
                            <option value="Brian Lara">
                            <option value="Jacques Kallis">
                            <option value="Ricky Ponting">
                            <option value="Rahul Dravid">
                            <option value="Shane Warne">
                            <option value="Rohit Sharma">
                            <option value="Donald Bradman">
                            <option value="Saurav Ganguly ">
                            <option value="AB diVilliers">
                            <option value="Mahendra Singh Dhoni">
                            <option value="Adam Gilchrist">
                        </datalist>
                    </label>

                </div>


            </fieldset>

            <fieldset>

                <legend> SINGLE LINE TEXT: Masked or Hidden </legend>
                </div>

                <div>
                    <label for="password"> Password:</label>
                    <input type="password" id="password">

                    <button type="button" id="btnShowPassword">Show</button>
                    <span> | </span>
                    <a href="#"> Show </a>
                    (Using link as a button)
                </div>
                <div>
                    <label for="understand-hidden">UNDERSTAND HIDDEN</label>
                    <input type="hidden" id="understand-hidden"
                        value="this is my hidden value which is required by developer but not for user atleast initially.">
                </div>

            </fieldset>

            <fieldset>
                <legend> MULTI LINE TEXT </legend>

                <div>
                    <label for="description">Description :</label>
                    <textarea type="text" id="description" cols="100" rows="10"></textarea>
                </div>

            </fieldset>

            <fieldset>
                <legend> SINGLE OPTION: CHOICE-SINGLE : SWITCH : YES / NO : AGRREE/DIAGREE</legend>

                <div>
                    <label for="programming">
                        <input id="termsandcondition" type="checkbox" value="agreed">
                        I have agreed terms and condition.
                    </label>
                </div>

            </fieldset>

            <fieldset>

                <legend> MULTIPLE OPTIONS: SINGLE CHOICE</legend>

                <p>Please choose title:</p>

                <div>
                    <label for="mr">
                        <input id="mr" type="radio" value="mr" name="title">
                        Mr.
                    </label>
                </div>
                <div>
                    <label for="miss">
                        <input id="miss" type="radio" value="miss" name="title">
                        Miss
                    </label>
                </div>
                <div>
                    <label for="mrs">
                        <input id="mrs" type="radio" value="mrs" name="title">
                        Mrs
                    </label>
                </div>

                <p>&nbsp;</p>

                <div>
                    <label for="brand">Please select your favorite brand</label>
                    <select id="brand">
                        <option value="volvo">Volvo</option>
                        <option value="marcedes">Marcedes</option>
                        <option value="audi">Audi</option>
                    </select>
                </div>

                <p>
                    <div>
                        <select id="brand">
                            <option value="">Please choose your favorite car brand</option>
                            <option value="volvo">Volvo</option>
                            <option value="marcedes">Marcedes</option>
                            <option value="audi">Audi</option>
                        </select>
                    </div>
                </p>


            </fieldset>

            <fieldset>
                <legend>Multiple Options: Multiple Choice</legend>
                <div>
                    <label for="programming">
                        <input id="programming" type="checkbox" value="programming" name="programming">
                        Programming
                    </label>
                </div>
                <div>
                    <label for="graphic_design">
                        <input id="graphic_design" type="checkbox" value="graphic_design" name="graphic_design">
                        Graphic Design
                    </label>
                </div>
                <div>
                    <label for="web_design">
                        <input id="web_design" type="checkbox" value="web_design" name="web_design">
                        Web Design
                    </label>
                </div>
                <div>
                    <label for="digital_marketing">
                        <input id="digital_marketing" type="checkbox" value="digital_marketing"
                            name="digital_marketing">
                        Digital Marketing
                    </label>
                </div>


                <p>Better way of collecting Data at Server End</p>

                <label>What are your favorite technologies?</label>
                <div>
                    <label for="programming1">
                        <input id="programming1" type="checkbox" value="programming" name="favorite_technologies[]">
                        Programming
                    </label>
                </div>
                <div>
                    <label for="graphic_design2">
                        <input id="graphic_design2" type="checkbox" value="graphic_design"
                            name="favorite_technologies[]">
                        Graphic Design
                    </label>
                </div>
                <div>
                    <label for="web_design3">
                        <input id="web_design3" type="checkbox" value="web_design" name="favorite_technologies[]">
                        Web Design
                    </label>
                </div>
                <div>
                    <label for="digital_marketing4">
                        <input id="digital_marketing4" type="checkbox" value="digital_marketing"
                            name="favorite_technologies[]">
                        Digital Marketing
                    </label>
                </div>

                <p>Choose your favorite cars</p>
                <div>
                    <select name="cars[]" multiple size="5">
                        <option value="volvo">Volvo</option>
                        <option value="saab">Saab</option>
                        <option value="opel">Opel</option>
                        <option value="audi">Audi</option>
                        <option value="toyota">Toyota</option>
                        <option value="bmw">BWW</option>
                        <option value="marcedes">Marcedes</option>
                    </select>
                </div>


            </fieldset>


            <fieldset>
                <legend> UPLOAD FILE </legend>

                <div>
                    Select a file: <input type="file" id="file">
                </div>

            </fieldset>

            <fieldset>
                <legend>BUTTON</legend>

                <div>
                    <button type="button" id="btnClickMe">Click Me</button>
                    <button type="submit">Submit</button>
                    <button type="reset">Reset</button>
                    <input  type="image" id="btnClick" height="32" width="32" src="img/edit-image.png">

                </div>
            </fieldset>
        </fieldset>
    </form>
    <script src="starter.js"></script>
</body>

</html>
